<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_background">

    <FrameLayout
        android:id="@+id/contentContainer"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/filterContainer" />

    <View
        android:id="@+id/background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:alpha="0"
        android:background="@color/black"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/filterContainer"/>

    <FrameLayout
        android:id="@+id/settingContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="@+id/filterContainer" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/filterContainer"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <View
            android:id="@+id/filterBackground"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:visibility="visible"
            android:background="@drawable/bg_game_server_test_v2_filter_gradient_top"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"/>

        <com.gh.gamecenter.common.view.SegmentedIconFilterView
            android:id="@+id/filterView"
            android:layout_width="130dp"
            android:layout_height="28dp"
            android:layout_marginStart="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/optionIv"
            android:layout_width="28dp"
            android:layout_height="28dp"
            android:layout_marginEnd="8dp"
            android:layout_marginRight="8dp"
            android:background="@drawable/bg_shape_ui_container_2_radius_999"
            android:padding="6dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/myReserveTv"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_options" />

        <TextView
            android:id="@+id/myReserveTv"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:layout_marginEnd="16dp"
            android:background="@drawable/bg_shape_ui_container_2_radius_999"
            android:drawablePadding="2dp"
            android:gravity="center"
            android:paddingStart="12dp"
            android:paddingEnd="12dp"
            android:text="我的预约"
            android:textColor="@color/text_secondary"
            android:textSize="@dimen/secondary_size"
            app:drawableStartCompat="@drawable/ic_reservation"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/pullDownTipIv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginBottom="8dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:srcCompat="@drawable/icon_pull_down_tip"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/dismissView"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/settingGuideContainer"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible">

        <ImageView
            android:id="@+id/settingGuideIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginTop="32dp"
            android:layout_marginEnd="11dp"
            android:layout_marginRight="11dp"
            app:srcCompat="@drawable/guide_game_server_test_v2_setting" />
    </FrameLayout>

</androidx.constraintlayout.widget.ConstraintLayout>